HanMacWrdKGraphInternal::TextBox Struct Referencefinal

Internal: the textbox of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::TextBox:

## Public Member Functions

| TextBox (Frame const &orig, bool isComment)
| constructor
| ~TextBox () final
| destructor
bool | isLinked () const
| returns true if the box is linked to other textbox
void | addTo (MWAWGraphicStyle &style) const
| add property to frame extra values
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes

bool | m_commentBox
| a flag to know if this is a comment textbox
long | m_textFileId
| the text file id
float | m_dim [2]
| two auxilliary dim for memo textbox
std::vector< long > | m_linkedIdList
| the list of linked remaining textbox id
bool | m_isLinked
| a flag to know if this textbox is linked to a previous box
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends

std::ostream & | operator<< (std::ostream &o, TextBox const &textbox)
| operator<<

## Detailed Description

Internal: the textbox of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## TextBox()

HanMacWrdKGraphInternal::TextBox::TextBox | ( | Frame const & | orig,
|  | bool | isComment )

inline

constructor

Referenced by operator<<.

## ~TextBox()

HanMacWrdKGraphInternal::TextBox::~TextBox | ( |  | ) |

final

destructor

## Member Function Documentation

## addTo()

void HanMacWrdKGraphInternal::TextBox::addTo | ( | MWAWGraphicStyle & | style | ) | const

inline

add property to frame extra values

Referenced by HanMacWrdKGraph::sendTextBox().

## isLinked()

bool HanMacWrdKGraphInternal::TextBox::isLinked | ( |  | ) | const

inline

returns true if the box is linked to other textbox

Referenced by isLinked(), and HanMacWrdKGraph::sendGroupChild().

## print()

std::string HanMacWrdKGraphInternal::TextBox::print | ( |  | ) | const

inline

print local data

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TextBox const & | textbox )

friend

operator<<

## Member Data Documentation

## m_commentBox

bool HanMacWrdKGraphInternal::TextBox::m_commentBox

a flag to know if this is a comment textbox

Referenced by TextBox().

## m_dim

float HanMacWrdKGraphInternal::TextBox::m_dim[2]

two auxilliary dim for memo textbox

Referenced by print(), HanMacWrdKGraph::sendTextBox(), and TextBox().

## m_isLinked

bool HanMacWrdKGraphInternal::TextBox::m_isLinked

a flag to know if this textbox is linked to a previous box

Referenced by addTo(), isLinked(), HanMacWrdKGraph::prepareStructures(), HanMacWrdKGraph::sendTextBox(), and TextBox().

## m_linkedIdList

std::vector<long> HanMacWrdKGraphInternal::TextBox::m_linkedIdList

the list of linked remaining textbox id

Referenced by addTo(), isLinked(), HanMacWrdKGraph::prepareStructures(), print(), and TextBox().

## m_textFileId

long HanMacWrdKGraphInternal::TextBox::m_textFileId

the text file id

Referenced by print(), HanMacWrdKGraph::sendTextBox(), and TextBox().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx